//canvasview.h

//Had to subclass QCanvasView so that I could re-implemnt mousePressEvent

#ifndef CANVASVIEW_H
#define CANVASVIEW_H

#include <q3canvas.h>
#include <q3popupmenu.h>
//Added by qt3to4:
#include <QPaintEvent>
#include <QKeyEvent>
#include <QMouseEvent>

class QMouseEvent;
class Q3Canvas;
class QWidget;
class QPaintEvent;

class bunny;

class canvasview : public Q3CanvasView
{
Q_OBJECT

public:

	canvasview(QWidget * parent);
	~canvasview();

protected:

	virtual void mousePressEvent ( QMouseEvent * e );
	virtual void mouseMoveEvent ( QMouseEvent * e );
	virtual void keyPressEvent ( QKeyEvent *e );
	virtual void wheelEvent (QWheelEvent * event);
	void updateCanvas(bunny *pb);

protected slots:

	void slotMark();
	void slotMoveResize();
	void slotUnmark();
	void slotRedMarker();
	void slotGreenMarker();
	void slotBlueMarker();
	void slotYellowMarker();
	void slotBlast();
	void slotUndo();

private:

	int centerx, centery;
	int outerx, outery; 
	Q3PopupMenu *pmenu; 
	Q3PopupMenu *pcolormenu; 
	int blastMenuId;
	int undoMenuId;
};

#endif
