//
// C++ Implementation: errors
//
// Description: 
//
//
// Author: ,,, <heinzg@denizen>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include <stdio.h>

#include "errors.h"

struct error dbberrors[9] =
{
	{ ERR_NOERR, 				"Success" },
	{ ERR_NULL_OBJECT, 			"NULL object" },
	{ ERR_NOFILE, 				"File open failed" },
	{ ERR_NOINTERPOLATE,		"Interpolation failed" },
	{ ERR_BAD_INDEX, 			"Index out of range"},
	{ ERR_BAD_COORDS, 			"X/Y coords out of range" },
	{ ERR_THRESHHOLD_NOT_MET,	"Threshhold not met" },
	{ ERR_DIR_CREATE_FAILED,	"Directory creation failed" },
	{ ERR_EXIV2_ERROR,			"Exiv2 library error" }
};


void ERROR(int err, const char *pstr)
{
	if ( pstr != (char*) 0 )
	{
		fprintf(stderr, "%s: %s\n",	dbberrors[err].description, pstr	);
	}
	else
	{
		fprintf(stderr, "%s\n", dbberrors[err].description );
	}
}
