//
// C++ Interface: hotpixel
//
// Description: 
//
//
// Author: ,,, <heinzg@denizen>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef HOTPIXEL_H
#define HOTPIXEL_H

class hotpixel
{
	public:
		
		hotpixel(QStringList & sList);
		~hotpixel();
		
		int initDoneList();
		int processHotPixels(QImage & image);
		int interpolate(QImage & image, QRgb & rgb, int col, int row);
		bool isHotPixel(int col, int row);
		int getX(QString &s);
		int getY(QString &s);
		
		static int getHotPixelList( QString & sListPath, QStringList & slist );
		
	private:
		
		QStringList pixelList;
		//Stores whether pixels have already been fixed
		QStringList doneList;
		
};


#endif


