#include <stdio.h>
#include <qapplication.h>
#include <q3mainwindow.h>


#include "mainwin.h"
#include "bunny.h"
#include "cmdline.h"
#include "errors.h"

QApplication * pApp;
bunnies *pBunnies;

extern QStringList gslArgsList;


int main (int argc, char **argv) 
{
	pBunnies = 0;
	
	QApplication a( argc, argv );
	pApp = &a;
	mainwin * mw = new mainwin();
	
#ifdef WINDOWS_CONSOLE
	readCmdLineArgs();
	processCmdLineArgs();
	return 0;
#else
	if ( readCmdLineArgs() != ERR_NOERR )
	{
		// means we were called with --batch, so do
		// batch processing.
		processCmdLineArgs();
		return 0;
	}
#endif

	a.setMainWidget(mw);
	mw->setCaption("dbblast");
	mw->show();
	a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
	
	return a.exec();
}
