//
// C++ Interface: pixlist
//
// Description: 
//
//
// Author: ,,, <heinzg@denizen>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef PIXLIST_H
#define PIXLIST_H

#include <qobject.h>
#include <qpixmap.h>

//Wrapper around QList<> and it's methods.
//Needed since we're delevoping for both qt3 qnd qt4, and qt3
//doesn't have a QList<> class. (It uses QValueList<>).

class pixlist: public QObject
{

public:
		
	pixlist();
	~pixlist();
	 
	int add(QPixmap& pm, QPoint& pt);
	QPixmap& get(int index, QPoint& pt);
	void clear() {pixmapList.clear(); ptList.clear();};
	int count() {return pixmapList.count();};
	int remove(int index);
	
private:
	
	QList<QPixmap> pixmapList;
	QList<QPoint> ptList;
};

#endif


