//settings.h
//We store the dbblast app settings here

#ifndef SETTINGS_H
#define SETTINGS_H

#include <qstring.h>
#include <qdir.h>
	
enum markerColors {RED=0, GREEN, BLUE, YELLOW};

const int defSaveImgQuality = 96;
const int defAvgColorLightness = 100;
const int defAvgColorRange = 70;
const QString defSHelpPath = "/usr/share/dbblast";
const bool defBThreshholdsDisabled = false;
const QString defSLastDir = QDir::currentDirPath().latin1();
const int defMarkerColor = GREEN;
const QString defSOutputDir = "dbblast";
const bool defBHotpixelsDisabled = false;
const bool defBHotpixelsOnly = false;


struct settings
{
	int saveImgQuality;
	int avgColorLightness;
	int avgColorRange;
	QString sHelpPath;
	bool bThreshholdsDisabled;
	QString sLastDir;
	int markerColor;
	QString sOutputDir;
	bool bHotpixelsDisabled;
	bool bHotpixelsOnly;
};


#endif
