//bunny.h

#ifndef BUNNY_H
#define BUNNY_H

const int maxbunnydia = 64;
const int minbunnydia = 3;

class bunny
{
public:
	
	bunny(int x, int y, int dia);
	~bunny();
	
	int getX();
	int getY();
	int getDia();
	void setX(int x) { xpos = x; };
	void setY(int y) { ypos = y; };
	void setDia(int dia);
	
	bunny * getNext();
	void setNext(bunny * pb);
	int getXShift();
	int getYShift();
	void setXShift(int shift);
	void setYShift(int shift);
	bool isShifted();
	
private:

	int xpos;
	int ypos;
	int diameter;
	int xshift;
	int yshift; 
  
	bunny * pbnext; 
  
};


class bunnies
{
public:

	bunnies();
	~bunnies();
	
	int add(bunny *pb);
	int remove(bunny *pb);
	bunny * getAt(int n);
	bunny * get(int x, int y);
	bunny * contains(int x, int y);
	int getNumBunnies() {return numbunnies;};
	int save(char* sFilename);
	int loadFromFile(char* sFilename);


private:

	bunny * pbstart;    
	int numbunnies;
};



#endif

