//
// C++ Interface: dbbatch
//
// Description: 
//
//
// Author: ,,, <heinzg@denizen>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef DBBATCH_H
#define DBBATCH_H

#include <qobject.h>
#include <q3strlist.h>

#include "ui_dbbatch_base.h"
 
 
 class dbbatch : public QDialog, Ui::dbbatch_base
{
	Q_OBJECT

	public:
		dbbatch( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
		~dbbatch();
		
		void hotPixelProcessingChanged(bool bHotPixelOnly);
		
		
	protected:
		
		int blastBunnies(QString sFileName);
		int createOutputDir(QString sFileName);
		void enableButtons(int state);
		void initProgressBar();
	
	protected slots:

		virtual void btnLoadFiles_clicked();
		virtual void btnLoadRef_clicked();
		virtual void btnConfig_clicked();
		virtual void btnBlast_clicked();
		virtual void btnSaveLog_clicked();
		virtual void btnClearLog_clicked();
		virtual void slot_textChanged();
		virtual void btnClose_clicked();
		

	public:
		QStringList slImgFileList;
		QStringList sListHotPixels;
		enum states {IDLE=1, IMGSLOADED, REFLOADED, BLASTING};
		int state;
		bool bCancelBlast;
};



#endif //DBBATCH_H



