//
// C++ Implementation: pixlist
//
// Description: 
//
//
// Author: ,,, <heinzg@denizen>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "pixlist.h"


pixlist::pixlist() 
{
	clear();
}

pixlist::~pixlist()
{
	
}

int pixlist::add(QPixmap& pm, QPoint& pt)
{
	pixmapList.append(pm);
	ptList.append(pt);
	return pixmapList.count() - 1;
}

QPixmap& pixlist::get(int index,	//0 based index of the pixmap we want to get
					  QPoint& pt 	//will receive the xy coords of the upper left corner
					 )				//(relative to the image) of the pixmap
{
	pt = ptList[index];
	return pixmapList[index];
}

int pixlist::remove(int index)
{
	pixmapList.removeAt(index);
	ptList.removeAt(index);
	
	return count();
}
